export interface ErpConfigVO {
  /**
   * 配置ID
   */
  configId: string | number;

  /**
   * ERP类型(0K3 1U8 2SAP)
   */
  erpType: string;

  /**
   * 配置名称
   */
  configName: string;

  /**
   * 服务器地址
   */
  serverUrl: string;

  /**
   * 应用密钥
   */
  appKey: string;

  /**
   * 应用密码
   */
  appSecret: string;

  /**
   * token地址
   */
  tokenUrl: string;

  /**
   * token过期时间(秒)
   */
  tokenExpireTime: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface ErpConfigForm extends BaseEntity {
  /**
   * 配置ID
   */
  configId?: string | number;

  /**
   * ERP类型(0K3 1U8 2SAP)
   */
  erpType?: string;

  /**
   * 配置名称
   */
  configName?: string;

  /**
   * 服务器地址
   */
  serverUrl?: string;

  /**
   * 应用密钥
   */
  appKey?: string;

  /**
   * 应用密码
   */
  appSecret?: string;

  /**
   * token地址
   */
  tokenUrl?: string;

  /**
   * token过期时间(秒)
   */
  tokenExpireTime?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface ErpConfigQuery extends PageQuery {

  /**
   * 配置ID
   */
  configId?: string | number;

  /**
   * ERP类型(0K3 1U8 2SAP)
   */
  erpType?: string;

  /**
   * 配置名称
   */
  configName?: string;

  /**
   * 服务器地址
   */
  serverUrl?: string;

  /**
   * 应用密钥
   */
  appKey?: string;

  /**
   * 应用密码
   */
  appSecret?: string;

  /**
   * token地址
   */
  tokenUrl?: string;

  /**
   * token过期时间(秒)
   */
  tokenExpireTime?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



