export interface BaseDeviceTypeVO {
  /**
   * 设备类型ID
   */
  deviceTypeId: string | number;

  /**
   * 父级标识
   */
  parentId: string | number;

  /**
   * 设备类型编号
   */
  deviceTypeCode: string;

  /**
   * 设备类型名称
   */
  deviceTypeName: string;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 设备大类ID（大类ID（关联base_category表category_type为2的））
   */
  deviceCategoryId: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  deviceCategoryName: string;

}

export interface BaseDeviceTypeForm extends BaseEntity {
  /**
   * 设备类型ID
   */
  deviceTypeId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 设备类型编号
   */
  deviceTypeCode?: string;

  /**
   * 设备类型名称
   */
  deviceTypeName?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 设备大类ID（大类ID（关联base_category表category_type为2的））
   */
  deviceCategoryId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  deviceCategoryName?: string;

}

export interface BaseDeviceTypeQuery extends PageQuery {

  /**
   * 设备类型ID
   */
  deviceTypeId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 设备类型编号
   */
  deviceTypeCode?: string;

  /**
   * 设备类型名称
   */
  deviceTypeName?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 设备大类ID（大类ID（关联base_category表category_type为2的））
   */
  deviceCategoryId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  deviceCategoryName?: string;
}



