export interface DmsBaseDeviceInstallVO {
  /**
   * 主键ID
   */
  deviceInstallId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 安装地点
   */
  installPosition: string;

  /**
   * 安装时间
   */
  installTime: string;

  /**
   * 安装人员
   */
  installPerson: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 设备名称
   */
  machineName: string;//join

}

export interface DmsBaseDeviceInstallForm extends BaseEntity {
  /**
   * 主键ID
   */
  deviceInstallId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 安装地点
   */
  installPosition?: string;

  /**
   * 安装时间
   */
  installTime?: string;

  /**
   * 安装人员
   */
  installPerson?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 设备名称
   */
  machineName?: string;//join

}

export interface DmsBaseDeviceInstallQuery extends PageQuery {

  /**
   * 主键ID
   */
  deviceInstallId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 安装地点
   */
  installPosition?: string;

  /**
   * 安装时间
   */
  installTime?: string;

  /**
   * 安装人员
   */
  installPerson?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备名称
   */
  machineName?: string;//join

}



