export interface DmsBaseShutReasonVO {
  /**
   * 主键标识
   */
  shutReasonId: string | number;

  /**
   * 原因编号
   */
  reasonCode: string;

  /**
   * 停机原因
   */
  shutReason: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 停机类型,关联dms_base_shut_type的shut_type_id
   */
  shutTypeId: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备名称
   */
  machineName: string;

  /**
   * 停机类型名称
   */
  shutTypeName: string;

}

export interface DmsBaseShutReasonForm extends BaseEntity {
  /**
   * 主键标识
   */
  shutReasonId?: string | number;

  /**
   * 原因编号
   */
  reasonCode?: string;

  /**
   * 停机原因
   */
  shutReason?: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 停机类型,关联dms_base_shut_type的shut_type_id
   */
  shutTypeId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备名称
   */
  machineName?: string;

  /**
   * 停机类型名称
   */
  shutTypeName?: string;

}

export interface DmsBaseShutReasonQuery extends PageQuery {

  /**
   * 主键标识
   */
  shutReasonId?: string | number;

  /**
   * 原因编号
   */
  reasonCode?: string;

  /**
   * 停机原因
   */
  shutReason?: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 停机类型,关联dms_base_shut_type的shut_type_id
   */
  shutTypeId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备名称
   */
  machineName?: string;

  /**
   * 停机类型名称
   */
  shutTypeName?: string;

}



