export interface DmsKnowledgeMaintVO {
  /**
   * 主键标识
   */
  knowledgeMaintId: string | number;

  /**
   * 经验编号
   */
  experienceCode: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId: string | number;

  /**
   * 保养部位，关联dms_base_maint_station的maint_station_id
   */
  maintStationId: string | number;

  /**
   * 保养标准
   */
  maintProtocol: string;

  /**
   * 操作描述
   */
  operationDescription: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备类型
   */
  deviceTypeName: string;//JOIN

  /**
   * 部位名称
   */
  maintStationName: string;//JOIN

}

export interface DmsKnowledgeMaintForm extends BaseEntity {
  /**
   * 主键标识
   */
  knowledgeMaintId?: string | number;

  /**
   * 经验编号
   */
  experienceCode?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 保养部位，关联dms_base_maint_station的maint_station_id
   */
  maintStationId?: string | number;

  /**
   * 保养标准
   */
  maintProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN

  /**
   * 部位名称
   */
  maintStationName?: string;//JOIN

}

export interface DmsKnowledgeMaintQuery extends PageQuery {

  /**
   * 主键标识
   */
  knowledgeMaintId?: string | number;

  /**
   * 经验编号
   */
  experienceCode?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 保养部位，关联dms_base_maint_station的maint_station_id
   */
  maintStationId?: string | number;

  /**
   * 保养标准
   */
  maintProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN

  /**
   * 部位名称
   */
  maintStationName?: string;//JOIN

}



