export interface MaterialBomVO {
  /**
   * 主键标识
   */
  materialBomId: string | number;

  /**
   * 父级标识
   */
  parentId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 单位ID
   */
  unitId: string | number;

  /**
   * 父级单位ID
   */
  parentUnitId: string | number;

  /**
   * 父级标准数量
   */
  parentStandardAmount: number;

  /**
   * 物料名称
   */
  materialName: string;

  /**
   * bom说明
   */
  materialBomDesc: string;

  /**
   * bom版本
   */
  materialBomVersion: string;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 标准数量
   */
  standardAmount: number;

  /**
   * 顶级标识(1是 0否)
   */
  topFlag: number;

  /**
   * 校验类型(0不校验 1人工校验 2自动校验)
   */
  checkType: string;

  /**
   * 项目ID
   */
  projectId: string | number;

  /**
   * 装配时长(秒)
   */
  assembleTime: number;

  /**
   * 物料分类（1ERP同步 2虚拟物料 3MES物料）
   */
  materialClassfication: string;

  /**
   * 附件信息
   */
  attachId: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

  /**
   * 子对象
   */
  children: MaterialBomVO[];

  /**
   * 物料类型ID
   */
  materialTypeId: number;

  /**
   * 物料类型编号
   */
  materialTypeCode: string;

  /**
   * 物料类型名称
   */
  materialTypeName: string;

  /**
   * 物料单位名称
   */
  unitName: string;

  /**
   * 主键标识(tree转换）
   */
  id: string | number;

  /**
   * 树节点唯一键
   */
  treeKey: string;
}

export interface MaterialBomForm extends BaseEntity {
  /**
   * 主键标识
   */
  materialBomId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 单位ID
   */
  unitId?: string | number;


  /**
   * 父级单位ID
   */
  parentUnitId?: string | number;


  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 物料类型ID
   */
  materialTypeId?: string | number;

  /**
   * 父级物料类型ID
   */
  parentMaterialTypeId?: string | number;

  /**
   * bom说明
   */
  materialBomDesc?: string;

  /**
   * bom版本
   */
  materialBomVersion?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 父级标准数量
   */
  parentStandardAmount?: number;

  /**
   * 标准数量
   */
  standardAmount?: number;

  /**
   * 顶级标识(1是 0否)
   */
  topFlag?: number;

  /**
   * 校验类型(0不校验 1人工校验 2自动校验)
   */
  checkType?: string;

  /**
   * 项目ID
   */
  projectId?: string | number;

  /**
   * 装配时长(秒)
   */
  assembleTime?: number;

  /**
   * 物料分类（1ERP同步 2虚拟物料 3MES物料）
   */
  materialClassfication?: string;

  /**
   * 附件信息
   */
  attachId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  materialBomList?: any[];//批量新增

  /**
   * 物料类型名称
   */
  materialTypeName?: string;

}

export interface MaterialBomQuery {

  /**
   * 主键标识
   */
  materialBomId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * bom说明
   */
  materialBomDesc?: string;

  /**
   * bom版本
   */
  materialBomVersion?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 标准数量
   */
  standardAmount?: number;

  /**
   * 顶级标识(1是 0否)
   */
  topFlag?: number;

  /**
   * 校验类型(0不校验 1人工校验 2自动校验)
   */
  checkType?: string;

  /**
   * 项目ID
   */
  projectId?: string | number;

  /**
   * 装配时长(秒)
   */
  assembleTime?: number;

  /**
   * 物料分类（1ERP同步 2虚拟物料 3MES物料）
   */
  materialClassfication?: string;

  /**
   * 附件信息
   */
  attachId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 日期范围参数
   */
  params?: any;

  /**
   * 物料类型代码
   */
  materialTypeCode?: string;

  /**
   * 物料类型名称
   */
  materialTypeName?: string;

  /**
   * 父级物料类型ID
   */
  parentMaterialTypeId?: string | number;

}



