export interface ProdBaseMachineInfoVO {
  /**
   * 主键标识
   */
  machineId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 机台编号
   */
  machineCode: string;

  /**
   * 机台名称
   */
  machineName: string;

  /**
   * 资产编号
   */
  assetNumber: string;

  /**
   * 机台位置
   */
  machineLocation: string;

  /**
   * 机台类型
   */
  machineType: string;

  /**
   * 机台规格
   */
  machineSpec: string;

  /**
   * 供应商
   */
  supplierId: string | number;

  /**
   * 机台状态(0停用 1启用 2报废)
   */
  machineStatus: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface ProdBaseMachineInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  machineId?: string | number;

  /**
   * 机台编号
   */
  machineCode?: string;

  /**
   * 机台名称
   */
  machineName?: string;

  /**
   * 资产编号
   */
  assetNumber?: string;

  /**
   * 机台位置
   */
  machineLocation?: string;

  /**
   * 机台类型
   */
  machineType?: string;

  /**
   * 机台规格
   */
  machineSpec?: string;

  /**
   * 供应商
   */
  supplierId?: string | number;

  /**
   * 机台状态(0停用 1启用 2报废)
   */
  machineStatus?: string;

  /**
   * 备注
   */
  remark?: string;

  baseMachineProcessList?: [];

}

export interface ProdBaseMachineInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  machineId?: string | number;

  /**
   * 机台编号
   */
  machineCode?: string;

  /**
   * 机台名称
   */
  machineName?: string;

  /**
   * 资产编号
   */
  assetNumber?: string;

  /**
   * 机台位置
   */
  machineLocation?: string;

  /**
   * 机台类型
   */
  machineType?: string;

  /**
   * 机台规格
   */
  machineSpec?: string;

  /**
   * 供应商
   */
  supplierId?: string | number;

  /**
   * 机台状态(0停用 1启用 2报废)
   */
  machineStatus?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



