export interface TechnologyInfoVO {
  /**
   * 主键标识
   */
  technologyId: string | number;

  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 机台类型（1类一 2类二）
   */
  machineType: string;

  /**
   * 工艺类型（1量产 2限产）
   */
  technologyType: string;

  /**
   * 工艺版本
   */
  technologyVersion: string;

  /**
   * 硫化标准时间（秒）
   */
  standardTime: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface TechnologyInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  technologyId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 机台类型（1类一 2类二）
   */
  machineType?: string;

  /**
   * 工艺类型（1量产 2限产）
   */
  technologyType?: string;

  /**
   * 工艺版本
   */
  technologyVersion?: string;

  /**
   * 硫化标准时间（秒）
   */
  standardTime?: number;
  productionTimeDays?: number;
  productionTimeHours?: number;
  productionTimeMinutes?: number;
  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  prodTechnologyStepInfoList?: [];
}

export interface TechnologyInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  technologyId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 机台类型（1类一 2类二）
   */
  machineType?: string;

  /**
   * 工艺类型（1量产 2限产）
   */
  technologyType?: string;

  /**
   * 工艺版本
   */
  technologyVersion?: string;

  /**
   * 硫化标准时间（秒）
   */
  standardTime?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



