export interface BaseMaterialInfoVO {
  /**
   * 主键标识
   */
  materialId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * ERP信息
   */
  erpId: string | number;

  /**
   * 物料编码
   */
  materialCode: string;

  /**
   * 旧物料编码
   */
  oldMaterialCode: string;

  /**
   * 物料名称
   */
  materialName: string;

  /**
   * 物料类型ID
   */
  materialTypeId: string | number;

  /**
   * 物料大类(字典改为从数据库中获得)
   */
  materialCategoryId: string;
  materialCategories: string;//暂时保留

  /**
   * 物料小类
   */
  materialSubclass: string;

  /**
   * 批次标识(0否 1是)
   */
  batchFlag: string;

  /**
   * 小批次数量
   */
  batchAmount: number;

  /**
   * 计量单位ID
   */
  materialUnitId: string | number;

  /**
   * 计量单位名称
   */
  materialUnit: string;

  /**
   * 物料组
   */
  materialMatkl: string;

  /**
   * 物料规格
   */
  materialSpec: string;

  /**
   * 净重
   */
  netWeight: number;

  /**
   * 毛重
   */
  grossWeight: number;

  /**
   * 绑定标识(1是 0否)
   */
  alwaysFlag: string;

  /**
   * 所属工厂
   */
  factoryId: string | number;

  /**
   * 创建组织
   */
  createOrgId: string | number;

  /**
   * 使用组织
   */
  useOrgId: string | number;

  /**
   * 所属产线
   */
  prodLineId: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 删除标识(0否 1是)
   */
  deletedFlag: string;

  /**
   * 采购计价单位
   */
  purchasePriceUnitId: string | number;

  /**
   * 审核日期
   */
  approveDate: string;

  /**
   * erp最后更新日期
   */
  erpModifyDate: string;

  /**
   * 最大库存数量
   */
  maxStockAmount: number;

  /**
   * 最小库存数量
   */
  minStockAmount: number;

  /**
   * 安全库存数量
   */
  safeStockAmount: number;

  /**
   * 申请标识(1是 0否)
   */
  applyFlag: string;

  /**
   * 物料分类（1ERP同步 2虚拟物料 3MES物料）
   */
  materialClassfication: string;

  /**
   * 自动出库标识(1是 0否)
   */
  autoOutstockFlag: string;

  /**
   * 辅料标识(1是 0否)
   */
  accessoriesFlag: string;

  /**
   * 低值易耗品标识(1是 0否)
   */
  lowValueConsumableFlag: string;

  /**
   * 品牌
   */
  brand: string;

  /**
   * 层级
   */
  plyrating: string;

  /**
   * 花纹
   */
  pattern: string;

  /**
   * 速度级别
   */
  speedLevel: string;

  /**
   * 负荷载重
   */
  load: string;

  /**
   * 轮胎标记（1全钢胎 2半钢胎 3工程胎）
   */
  tireMarkings: string;

  /**
   * 最小停放时间（秒）
   */
  minParkingTime: number;

  /**
   * 最大停放时间（秒）
   */
  maxParkingTime: number;

  /**
   * 标准重量
   */
  standardWeight: number;

  /**
   * 标准重量上限
   */
  weightUpperLimit: number;

  /**
   * 标准重量下限
   */
  weightLowerLimit: number;

  /**
   * 内胎标记(0无 1有)
   */
  innerTubeFlag: string;

  /**
   * 销售类型(0内销 1外销)
   */
  saleType: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;


  /**
   * 所属工厂
   */
  factoryName: string;//连表查询映射字段


  //注意"e":以下两个物料类型名称！BaseMaterialType实体类中为matrialTypeId，BaseMaterialInfo实体类中为materialTypeId
  /**
   * 物料类型名称
   */
  matrialTypeName: string;//连表查询映射字段

  /**
   * 物料类型名称
   */
  materialTypeName: string;//连表查询映射字段

  /**
   * 物料大类名称
   */
  materialCategoryName: string;

}

export interface BaseMaterialInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  materialId?: string | number;

  /**
   * ERP信息
   */
  erpId?: string | number;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 旧物料编码
   */
  oldMaterialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 物料类型ID
   */
  materialTypeId?: string | number;

  /**
   * 物料大类(字典改为从数据库中获得)
   */
  materialCategoryId: string;
  materialCategories: string;//暂时保留

  /**
   * 物料小类
   */
  materialSubclass?: string;

  /**
   * 批次标识(0否 1是)
   */
  batchFlag?: string;

  /**
   * 小批次数量
   */
  batchAmount?: number;

  /**
   * 计量单位ID
   */
  materialUnitId?: string | number;

  /**
   * 计量单位名称
   */
  materialUnit?: string;

  /**
   * 物料组
   */
  materialMatkl?: string;

  /**
   * 物料规格
   */
  materialSpec?: string;

  /**
   * 净重
   */
  netWeight?: number;

  /**
   * 毛重
   */
  grossWeight?: number;

  /**
   * 绑定标识(1是 0否)
   */
  alwaysFlag?: string;

  /**
   * 所属工厂
   */
  factoryId?: string | number;

  /**
   * 创建组织
   */
  createOrgId?: string | number;

  /**
   * 使用组织
   */
  useOrgId?: string | number;

  /**
   * 所属产线
   */
  prodLineId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 删除标识(0否 1是)
   */
  deletedFlag?: string;

  /**
   * 采购计价单位
   */
  purchasePriceUnitId?: string | number;

  /**
   * 审核日期
   */
  approveDate?: string;

  /**
   * erp最后更新日期
   */
  erpModifyDate?: string;

  /**
   * 最大库存数量
   */
  maxStockAmount?: number;

  /**
   * 最小库存数量
   */
  minStockAmount?: number;

  /**
   * 安全库存数量
   */
  safeStockAmount?: number;

  /**
   * 申请标识(1是 0否)
   */
  applyFlag?: string;

  /**
   * 物料分类（1ERP同步 2虚拟物料 3MES物料）
   */
  materialClassfication?: string;

  /**
   * 自动出库标识(1是 0否)
   */
  autoOutstockFlag?: string;

  /**
   * 辅料标识(1是 0否)
   */
  accessoriesFlag?: string;

  /**
   * 低值易耗品标识(1是 0否)
   */
  lowValueConsumableFlag?: string;

  /**
   * 品牌
   */
  brand?: string;

  /**
   * 层级
   */
  plyrating?: string;

  /**
   * 花纹
   */
  pattern?: string;

  /**
   * 速度级别
   */
  speedLevel?: string;

  /**
   * 负荷载重
   */
  load?: string;

  /**
   * 轮胎标记（1全钢胎 2半钢胎 3工程胎）
   */
  tireMarkings?: string;

  /**
   * 最小停放时间（秒）
   */
  minParkingTime?: number;

  /**
   * 最大停放时间（秒）
   */
  maxParkingTime?: number;

  /**
   * 标准重量
   */
  standardWeight?: number;

  /**
   * 标准重量上限
   */
  weightUpperLimit?: number;

  /**
   * 标准重量下限
   */
  weightLowerLimit?: number;

  /**
   * 内胎标记(0无 1有)
   */
  innerTubeFlag?: string;

  /**
   * 销售类型(0内销 1外销)
   */
  saleType?: string;

  /**
   * 备注
   */
  remark?: string;

  minParkingDays?: number;
  minParkingHours?: number;
  minParkingMinutes?: number;

  maxParkingDays?: number;
  maxParkingHours?: number;
  maxParkingMinutes?: number;

  /**
   * 物料大类名称
   */
  materialCategoryName: string;

}

export interface BaseMaterialInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  materialId?: string | number;

  /**
   * ERP信息
   */
  erpId?: string | number;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 旧物料编码
   */
  oldMaterialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 物料类型ID
   */
  materialTypeId?: string | number;

  /**
   * 物料大类(字典改为从数据库中获得)
   */
  materialCategoryId: string;
  materialCategories: string;//暂时保留字典

  /**
   * 物料小类
   */
  materialSubclass?: string;

  /**
   * 批次标识(0否 1是)
   */
  batchFlag?: string;

  /**
   * 小批次数量
   */
  batchAmount?: number;

  /**
   * 计量单位ID
   */
  materialUnitId?: string | number;

  /**
   * 计量单位名称
   */
  materialUnit?: string;

  /**
   * 物料组
   */
  materialMatkl?: string;

  /**
   * 物料规格
   */
  materialSpec?: string;

  /**
   * 净重
   */
  netWeight?: number;

  /**
   * 毛重
   */
  grossWeight?: number;

  /**
   * 绑定标识(1是 0否)
   */
  alwaysFlag?: string;

  /**
   * 所属工厂
   */
  factoryId?: string | number;

  /**
   * 创建组织
   */
  createOrgId?: string | number;

  /**
   * 使用组织
   */
  useOrgId?: string | number;

  /**
   * 所属产线
   */
  prodLineId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 删除标识(0否 1是)
   */
  deletedFlag?: string;

  /**
   * 采购计价单位
   */
  purchasePriceUnitId?: string | number;

  /**
   * 审核日期
   */
  approveDate?: string;

  /**
   * erp最后更新日期
   */
  erpModifyDate?: string;

  /**
   * 最大库存数量
   */
  maxStockAmount?: number;

  /**
   * 最小库存数量
   */
  minStockAmount?: number;

  /**
   * 安全库存数量
   */
  safeStockAmount?: number;

  /**
   * 申请标识(1是 0否)
   */
  applyFlag?: string;

  /**
   * 物料分类（1ERP同步 2虚拟物料 3MES物料）
   */
  materialClassfication?: string;

  /**
   * 自动出库标识(1是 0否)
   */
  autoOutstockFlag?: string;

  /**
   * 辅料标识(1是 0否)
   */
  accessoriesFlag?: string;

  /**
   * 低值易耗品标识(1是 0否)
   */
  lowValueConsumableFlag?: string;

  /**
   * 品牌
   */
  brand?: string;

  /**
   * 层级
   */
  plyrating?: string;

  /**
   * 花纹
   */
  pattern?: string;

  /**
   * 速度级别
   */
  speedLevel?: string;

  /**
   * 负荷载重
   */
  load?: string;

  /**
   * 轮胎标记（1全钢胎 2半钢胎 3工程胎）
   */
  tireMarkings?: string;

  /**
   * 最小停放时间（秒）
   */
  minParkingTime?: number;

  /**
   * 最大停放时间（秒）
   */
  maxParkingTime?: number;

  /**
   * 标准重量
   */
  standardWeight?: number;

  /**
   * 标准重量上限
   */
  weightUpperLimit?: number;

  /**
   * 标准重量下限
   */
  weightLowerLimit?: number;

  /**
   * 内胎标记(0无 1有)
   */
  innerTubeFlag?: string;

  /**
   * 销售类型(0内销 1外销)
   */
  saleType?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 物料大类名称
   */
  materialCategoryName: string;
}



