export interface HppInStockDetailVO {
  /**
   * 主键id
   */
  objId: string | number;

  /**
   * 流水卡号
   */
  cardNo: string;

  /**
   * 工装架子号
   */
  shelfNo: string;

  /**
   * 库位id
   */
  storePlaceId: string | number;

  /**
   * 品级编号,0:合格,1:不合格
   */
  gradeCode: string;

  /**
   * 产品类别：0：半成品，1：成型
   */
  productCategory: string;

  /**
   * 物料
   */
  materialId: string | number;

  /**
   * 物料规格
   */
  materialSpec: string;

  /**
   * 入库类型,0:半制品产出,2:入半制品线边库3:入成型线边库
   */
  instockType: string;

}

export interface HppInStockDetailForm extends BaseEntity {
  /**
   * 主键id
   */
  objId?: string | number;

  /**
   * 流水卡号
   */
  cardNo?: string;

  /**
   * 工装架子号
   */
  shelfNo?: string;

  /**
   * 库位id
   */
  storePlaceId?: string | number;

  /**
   * 品级编号,0:合格,1:不合格
   */
  gradeCode?: string;

  /**
   * 产品类别：0：半成品，1：成型
   */
  productCategory?: string;

  /**
   * 物料
   */
  materialId?: string | number;

  /**
   * 物料规格
   */
  materialSpec?: string;

  /**
   * 入库类型,0:半制品产出,2:入半制品线边库3:入成型线边库
   */
  instockType?: string;

}

export interface HppInStockDetailQuery extends PageQuery {

  /**
   * 主键id
   */
  objId?: string | number;

  /**
   * 流水卡号
   */
  cardNo?: string;

  /**
   * 工装架子号
   */
  shelfNo?: string;

  /**
   * 库位id
   */
  storePlaceId?: string | number;

  /**
   * 品级编号,0:合格,1:不合格
   */
  gradeCode?: string;

  /**
   * 产品类别：0：半成品，1：成型
   */
  productCategory?: string;

  /**
   * 物料
   */
  materialId?: string | number;

  /**
   * 物料规格
   */
  materialSpec?: string;

  /**
   * 入库类型,0:半制品产出,2:入半制品线边库3:入成型线边库
   */
  instockType?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



